.main-title{
    background-image: url("./img/promos/promo_groupe_2.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;

    .overlay{
        background-color: rgba(255, 255, 255, 0.85);
    }

    h1{

        .col-pink{
            color: $col_pink;
            font-weight: bold;
        }
    }
}

.center-btn{
    display: flex;
    align-content: center;
    justify-content: center;
}

section.about{

    .title{
        display: unset;
        flex-wrap: nowrap;
    }

    // .btn-outline-dark{
    //     background-color: white;
    //     color: $col_pink;
    //     border: 0;
    //     width: 100%;
    //     margin-bottom: 3rem;
    //     border-radius: 0rem;
    // }
    a.btn.invert{
        &:hover{
            color: $col_pink;
            background-color: white;
        }
    }
    svg{
        transition: all .5s ease;
    }

    .desc{
        background-color: white;
        opacity: 0.8;
        padding: 1.5rem;
        border: 1px solid $col_pink;
        border-right: 0;

        p{
            color: $col_grey;
            font-weight: 400;
        }
    }

    .encart{
        @include flexbox();
        @include justify-content(center);
        @include flex-direction(column);
        background-color: #ed1450;
        padding: 1.5rem;

        .link-officiel{
            text-align: center;

            a{
                @include animButton("leftToRight");
            }
        }

    }

    .text{
        color: white;
        text-align: center;
        font-size: 1.5rem;
    }

}

section.event{
    padding-top: 0;
    #eventsHome {

        h2{
            padding-bottom: 2rem;
        }

        .event-content{
            background-color: $col_grey;
        }

        .carousel {
            // width: 80%;
            height: 500px;
            margin: auto;


            .carousel-indicators {
                // width: 80%;
                margin: auto;
                z-index: 300;
            }

            .carousel-control {
                width: 10%;
            }

            .carousel-inner {
                height: 500px;
            }

            .carousel-item {
                height: 500px;
                background-color: rgba(0, 0, 0, 1);

                .icon-open-modal {
                    transition: all .5s;
                    position: absolute;
                    left: 20px;
                    top: 20px;
                    color: white;
                    text-shadow: 3px 3px white;
                    z-index: 20;
                }

                .divIcon {
                    animation-delay: 0.3s;
                    position: absolute;
                    top: 40px;
                    left: 60%;
                    margin-left: -24px;
                    transition: all .5s;
                    z-index: 10;

                    .icon-event {
                        background-color: rgba(255, 255, 255, 0.7);
                        width: auto;
                        color: $col_pink;
                        height: 1.5em;
                        border: solid .05em $col_pink;
                        border-radius: 50%;
                        // padding: .5rem;
                        padding: .25em .30em;
                    }

                    &:hover {
                        transform: scale(1.2);
                    }
                }

                .divImg {
                    width: 60%;
                    height: 100%;
                    overflow: hidden;
                    display: flex;
                    justify-content: center;

                    img {
                        height: 100%;
                        width: auto;
                    }
                }

                .carousel-infos {
                    display: flex;
                    justify-content: space-between;
                    flex-direction: column;
                    position: absolute;
                    top: 40px;
                    left: 60%;
                    width: 40%;
                    padding: 0 3%;
                    height: 100%;
                    margin: auto;
                    text-align: center;
                    color: white;
                    align-items: center;

                    .carousel-top {
                        z-index: 10;
                        color: #fff;
                        animation-delay: 0.3s;

                        h3 {
                            text-transform: uppercase;
                            text-shadow: 2.5px 2px $col_pink;
                            width: 270px;
                            font-family: 'Roboto Condensed', sans-serif;
                            font-size: 2.3rem;
                        }
                    }

                    .carousel-date {
                        animation-delay: 0.3s;
                        width: 200px;
                        color: $col_pink;
                        border: 2px solid $col_pink;
                        box-shadow: 4px 4px 4px $col_pink;
                        border-radius: 3px;
                        // background-color: rgba(255, 255, 255, 0.7);

                        .date-event {
                            padding-top: 13px;

                            p {
                                font-size: 1.6rem;
                                font-family: 'Exo', sans-serif;
                                .day-event {
                                    font-size: 1.6rem;
                                    font-family: 'Roboto Condensed', sans-serif;
                                }
                            }
                        }
                    }

                    .carousel-details {
                        animation-delay: 0.3s;
                        text-align: left;
                        padding-bottom: 80px;

                        p {
                            max-height: 75px;
                            overflow: hidden;
                            font-size: 1.1rem;
                        }
                    }
                }
                &:hover {
                    .carousel-item {
                        .icon-open-modal {
                            transform: scale(1.2);
                        }
                    }
                }
            }
        }
    }
}

section.promo{
    background-image: url("./img/promos/promo_groupe_1.jpg");
    background-color: $col_pink;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: top;

    .overlay{
        background-color: transparentize($col_pink, .2);
    }

    .title{
        background-color: white;
        padding-bottom: 2rem;

    }
    .promo-content {
        margin-top: 3em;
    }
    #accordion{

        .panel {
            border-radius: 0;
            border: 0;
            margin-top: 0px;

            .panel-heading{
                padding: 0;
                border-radius: 0px;
                text-align: center;


                .promo-acc {
                    display: block;
                    width: 100%;
                    padding: 10px 15px;
                    border-bottom: 1px solid #000000;
                    background-color: white;
                    text-decoration: none;
                    transition: all 0.2s ease-in;

                    &:hover,
                    &:focus{
                        background-color: #000000;
                        color: white;
                    }

                    &::before{
                        font-family: 'Font Awesome 5 Free';
                        content: '\f00d';
                        float: left;
                        color: white;
                        font-weight: lighter;
                        font-weight: 900;
                        transform: rotate(0deg);
                        // transition: all 0.2s ease-in;
                    }

                    &:not(.collapsed){
                        color: black;
                        background-color: white;

                        &:hover,
                        &:focus{
                            background-color: #000000;
                            color: white;
                        }
                    }

                    &.collapsed{

                        &:hover,
                        &:focus{
                            background-color: #000000;
                            color: white;

                            &::before,
                            &::after{
                                color: white;
                            }
                        }
                    }
                }
            }

            .desc-content{
                background-color: white;
                margin-bottom: 10px;
                padding: 1rem;
            }
        }

    }

    #accordion .panel-heading .accordion-toggle.collapsed::before {
        color: #444;
        transform: rotate(-135deg);
        transition: all 0.2s ease-in;
    }
    .accordion-toggle{
        color: black;
    }
}
